Package org.jbpm.services.task.impl.model.xml

## Class JaxbTaskData

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<org.kie.api.task.model.TaskData>
  - - org.jbpm.services.task.impl.model.xml.JaxbTaskData

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.TaskData`

      public class JaxbTaskData
      extends AbstractJaxbTaskObject<org.kie.api.task.model.TaskData>
      implements org.kie.api.task.model.TaskData

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `realClass`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JaxbTaskData()` |
    `JaxbTaskData​(org.kie.api.task.model.TaskData taskData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getActivationTime()` |
    `org.kie.api.task.model.User` | `getActualOwner()` |
    `String` | `getActualOwnerId()` |
    `List<org.kie.api.task.model.Attachment>` | `getAttachments()` |
    `List<org.kie.api.task.model.Comment>` | `getComments()` |
    `org.kie.api.task.model.User` | `getCreatedBy()` |
    `String` | `getCreatedById()` |
    `Date` | `getCreatedOn()` |
    `String` | `getDeploymentId()` |
    `org.kie.internal.task.api.model.AccessType` | `getDocumentAccessType()` |
    `long` | `getDocumentContentId()` |
    `String` | `getDocumentType()` |
    `Date` | `getExpirationTime()` |
    `org.kie.internal.task.api.model.AccessType` | `getFaultAccessType()` |
    `long` | `getFaultContentId()` |
    `String` | `getFaultName()` |
    `String` | `getFaultType()` |
    `org.kie.internal.task.api.model.AccessType` | `getOutputAccessType()` |
    `Long` | `getOutputContentId()` |
    `String` | `getOutputType()` |
    `long` | `getParentId()` |
    `org.kie.api.task.model.Status` | `getPreviousStatus()` |
    `String` | `getProcessId()` |
    `long` | `getProcessInstanceId()` |
    `long` | `getProcessSessionId()` |
    `org.kie.api.task.model.Status` | `getStatus()` |
    `Map<String,​Object>` | `getTaskInputVariables()` |
    `Map<String,​Object>` | `getTaskOutputVariables()` |
    `long` | `getWorkItemId()` |
    `boolean` | `isSkipable()` |
    `void` | `setActivationTime​(Date activationTime)` |
    `void` | `setActualOwnerId​(String actualOwnerId)` |
    `void` | `setCreatedById​(String createdById)` |
    `void` | `setCreatedOn​(Date createdOn)` |
    `void` | `setDeploymentId​(String deploymentId)` |
    `void` | `setDocumentAccessType​(org.kie.internal.task.api.model.AccessType documentAccessType)` |
    `void` | `setDocumentContentId​(Long documentContentId)` |
    `void` | `setDocumentType​(String documentType)` |
    `void` | `setExpirationTime​(Date expirationTime)` |
    `void` | `setFaultAccessType​(org.kie.internal.task.api.model.AccessType faultAccessType)` |
    `void` | `setFaultContentId​(Long faultContentId)` |
    `void` | `setFaultName​(String faultName)` |
    `void` | `setFaultType​(String faultType)` |
    `void` | `setJaxbComments​(List<JaxbComment> comments)` |
    `void` | `setOutputAccessType​(org.kie.internal.task.api.model.AccessType outputAccessType)` |
    `void` | `setOutputContentId​(Long outputContentId)` |
    `void` | `setOutputType​(String outputType)` |
    `void` | `setParentId​(Long parentId)` |
    `void` | `setPreviousStatus​(org.kie.api.task.model.Status previousStatus)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |
    `void` | `setProcessSessionId​(Long processSessionId)` |
    `void` | `setSkipable​(Boolean skipable)` |
    `void` | `setStatus​(org.kie.api.task.model.Status status)` |
    `void` | `setWorkItemId​(Long workItemId)` |

    - ### Methods inherited from class org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject

      `convertListFromInterfaceToJaxbImpl, initialize, readExternal, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.Externalizable

      `readExternal, writeExternal`

- - ### Constructor Detail

    - #### JaxbTaskData

          public JaxbTaskData()

    - #### JaxbTaskData

          public JaxbTaskData​(org.kie.api.task.model.TaskData taskData)

  - ### Method Detail

    - #### getStatus

          public org.kie.api.task.model.Status getStatus()

      Specified by:
        `getStatus` in interface `org.kie.api.task.model.TaskData`

    - #### setStatus

          public void setStatus​(org.kie.api.task.model.Status status)

    - #### getPreviousStatus

          public org.kie.api.task.model.Status getPreviousStatus()

      Specified by:
        `getPreviousStatus` in interface `org.kie.api.task.model.TaskData`

    - #### setPreviousStatus

          public void setPreviousStatus​(org.kie.api.task.model.Status previousStatus)

    - #### getActualOwner

          public org.kie.api.task.model.User getActualOwner()

      Specified by:
        `getActualOwner` in interface `org.kie.api.task.model.TaskData`

    - #### getActualOwnerId

          public String getActualOwnerId()

    - #### setActualOwnerId

          public void setActualOwnerId​(String actualOwnerId)

    - #### getCreatedBy

          public org.kie.api.task.model.User getCreatedBy()

      Specified by:
        `getCreatedBy` in interface `org.kie.api.task.model.TaskData`

    - #### getCreatedById

          public String getCreatedById()

    - #### setCreatedById

          public void setCreatedById​(String createdById)

    - #### getCreatedOn

          public Date getCreatedOn()

      Specified by:
        `getCreatedOn` in interface `org.kie.api.task.model.TaskData`

    - #### setCreatedOn

          public void setCreatedOn​(Date createdOn)

    - #### getActivationTime

          public Date getActivationTime()

      Specified by:
        `getActivationTime` in interface `org.kie.api.task.model.TaskData`

    - #### setActivationTime

          public void setActivationTime​(Date activationTime)

    - #### getExpirationTime

          public Date getExpirationTime()

      Specified by:
        `getExpirationTime` in interface `org.kie.api.task.model.TaskData`

    - #### setExpirationTime

          public void setExpirationTime​(Date expirationTime)

    - #### isSkipable

          public boolean isSkipable()

      Specified by:
        `isSkipable` in interface `org.kie.api.task.model.TaskData`

    - #### setSkipable

          public void setSkipable​(Boolean skipable)

    - #### getWorkItemId

          public long getWorkItemId()

      Specified by:
        `getWorkItemId` in interface `org.kie.api.task.model.TaskData`

    - #### setWorkItemId

          public void setWorkItemId​(Long workItemId)

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.api.task.model.TaskData`

    - #### setProcessInstanceId

          public void setProcessInstanceId​(Long processInstanceId)

    - #### getDocumentType

          public String getDocumentType()

      Specified by:
        `getDocumentType` in interface `org.kie.api.task.model.TaskData`

    - #### setDocumentType

          public void setDocumentType​(String documentType)

    - #### getDocumentAccessType

          public org.kie.internal.task.api.model.AccessType getDocumentAccessType()

    - #### setDocumentAccessType

          public void setDocumentAccessType​(org.kie.internal.task.api.model.AccessType documentAccessType)

    - #### getDocumentContentId

          public long getDocumentContentId()

      Specified by:
        `getDocumentContentId` in interface `org.kie.api.task.model.TaskData`

    - #### setDocumentContentId

          public void setDocumentContentId​(Long documentContentId)

    - #### getOutputType

          public String getOutputType()

      Specified by:
        `getOutputType` in interface `org.kie.api.task.model.TaskData`

    - #### setOutputType

          public void setOutputType​(String outputType)

    - #### getOutputAccessType

          public org.kie.internal.task.api.model.AccessType getOutputAccessType()

    - #### setOutputAccessType

          public void setOutputAccessType​(org.kie.internal.task.api.model.AccessType outputAccessType)

    - #### getOutputContentId

          public Long getOutputContentId()

      Specified by:
        `getOutputContentId` in interface `org.kie.api.task.model.TaskData`

    - #### setOutputContentId

          public void setOutputContentId​(Long outputContentId)

    - #### getFaultName

          public String getFaultName()

      Specified by:
        `getFaultName` in interface `org.kie.api.task.model.TaskData`

    - #### setFaultName

          public void setFaultName​(String faultName)

    - #### getFaultAccessType

          public org.kie.internal.task.api.model.AccessType getFaultAccessType()

    - #### setFaultAccessType

          public void setFaultAccessType​(org.kie.internal.task.api.model.AccessType faultAccessType)

    - #### getFaultType

          public String getFaultType()

      Specified by:
        `getFaultType` in interface `org.kie.api.task.model.TaskData`

    - #### setFaultType

          public void setFaultType​(String faultType)

    - #### getFaultContentId

          public long getFaultContentId()

      Specified by:
        `getFaultContentId` in interface `org.kie.api.task.model.TaskData`

    - #### setFaultContentId

          public void setFaultContentId​(Long faultContentId)

    - #### getParentId

          public long getParentId()

      Specified by:
        `getParentId` in interface `org.kie.api.task.model.TaskData`

    - #### setParentId

          public void setParentId​(Long parentId)

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `org.kie.api.task.model.TaskData`

    - #### setProcessId

          public void setProcessId​(String processId)

    - #### getProcessSessionId

          public long getProcessSessionId()

      Specified by:
        `getProcessSessionId` in interface `org.kie.api.task.model.TaskData`

    - #### setProcessSessionId

          public void setProcessSessionId​(Long processSessionId)

    - #### getComments

          public List<org.kie.api.task.model.Comment> getComments()

      Specified by:
        `getComments` in interface `org.kie.api.task.model.TaskData`

    - #### setJaxbComments

          public void setJaxbComments​(List<JaxbComment> comments)

    - #### getAttachments

          public List<org.kie.api.task.model.Attachment> getAttachments()

      Specified by:
        `getAttachments` in interface `org.kie.api.task.model.TaskData`

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `org.kie.api.task.model.TaskData`

    - #### setDeploymentId

          public void setDeploymentId​(String deploymentId)

    - #### getTaskInputVariables

          public Map<String,​Object> getTaskInputVariables()

      Specified by:
        `getTaskInputVariables` in interface `org.kie.api.task.model.TaskData`

    - #### getTaskOutputVariables

          public Map<String,​Object> getTaskOutputVariables()

      Specified by:
        `getTaskOutputVariables` in interface `org.kie.api.task.model.TaskData`